#ifndef __HARDWARE_H
#define __HARDWARE_H

#include "hwconfig.h"

typedef enum {
	
	LED_ON = 1,
	LED_OFF = 0
	
} LED_state_t;


void initPeripherals(void);
void LED_onoff(uint8_t led, LED_state_t state);
void delay(uint32_t ms);
void display_select_pos(uint8_t pos);
void display_select_digit(uint8_t dig, uint8_t dp);

void ADC_config(void);



#endif
